Skip to main content
GET
/
v1
/
workspaces
/
{workspaceId}
/
contents
List contents in a workspace
curl --request GET \
  --url https://api.example.com/v1/workspaces/{workspaceId}/contents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assignedTo": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "profileImageUrl": "<string>"
      },
      "contentScore": 123,
      "contentStatus": {
        "color": "<string>",
        "id": "<string>",
        "isReadOnly": true,
        "label": "<string>",
        "position": 123
      },
      "contentUpdatedAt": "<string>",
      "createdAt": "<string>",
      "dueDate": "<string>",
      "folder": {
        "id": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "page": {
        "id": "<string>",
        "lastStatusCode": 123,
        "url": "<string>"
      },
      "publishedAt": "<string>",
      "title": "<string>",
      "type": "DRAFT",
      "updatedAt": "<string>",
      "wordsCount": 123
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.semji.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

workspaceId
string
required

Workspace ID.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1
assignedToId
string

Filter by assignee ID.

contentScore
integer

Content score equals. This score out of 100 measures the SEO quality of a content.

contentScore[gte]
integer

Content score >= (0-100).

contentScore[lte]
integer

Content score <= (0-100).

contentStatusId

Filter by status ID. Use brackets for multiple: ?contentStatusId[]=id1&contentStatusId[]=id2.

contentUpdatedAt
string

Content body last modified on this date (ISO 8601).

contentUpdatedAt[after]
string

Content body last modified on or after (ISO 8601).

contentUpdatedAt[before]
string

Content body last modified on or before (ISO 8601).

dueDate
string

Due date equals (ISO 8601).

dueDate[after]
string

Due date on or after (ISO 8601).

dueDate[before]
string

Due date on or before (ISO 8601).

folderId
string

Filter by folder ID.

page.focusKeyword.keyword
string

Focus keyword equals the given value.

page.focusKeyword.keyword[contains]
string

Focus keyword contains the given substring.

page.focusKeyword.searchVolume
integer

Focus keyword monthly search volume equals.

page.focusKeyword.searchVolume[gte]
integer

Focus keyword monthly search volume >=.

page.focusKeyword.searchVolume[lte]
integer

Focus keyword monthly search volume <=.

page.lastStatusCode
integer

HTTP status code of the latest crawl of the associated page.

page.url
string

Associated page URL equals.

page.url[contains]
string

Associated page URL contains the given substring.

publishedAt
string

Publication date equals (ISO 8601).

publishedAt[after]
string

Published on or after (ISO 8601).

publishedAt[before]
string

Published on or before (ISO 8601).

q
string

Full-text search over title, page URL and focus keyword.

sort
enum<string>
default:-updatedAt

Sort field. Prefix with - for descending.

Available options:
-updatedAt,
updatedAt,
-dueDate,
dueDate,
-publishedAt,
publishedAt,
-contentUpdatedAt,
contentUpdatedAt,
-contentScore,
contentScore,
-title,
title,
-folder.name,
folder.name,
-assignedTo.firstName,
assignedTo.firstName,
-contentStatus.label,
contentStatus.label,
-page.focusKeyword.keyword,
page.focusKeyword.keyword,
-page.focusKeyword.searchVolume,
page.focusKeyword.searchVolume
title
string

Title equals the given value.

title[contains]
string

Title contains the given substring.

type
enum<string>

Nature of the draft (DRAFT, PUBLISHED, ORIGINAL).

Available options:
DRAFT,
PUBLISHED,
ORIGINAL
updatedAt
string

Last updated on this date (ISO 8601).

updatedAt[after]
string

Updated on or after (ISO 8601).

updatedAt[before]
string

Updated on or before (ISO 8601).

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required